Package ghidra.rmi.trace

# Interface TraceRmi.RequestRemoveObjectOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.RequestRemoveObject`, `TraceRmi.RequestRemoveObject.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.RequestRemoveObjectOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.ObjSpec`
  `getObject()`
  `.ghidra.rmi.trace.ObjSpec object = 2;`
  `TraceRmi.ObjSpecOrBuilder`
  `getObjectOrBuilder()`
  `.ghidra.rmi.trace.ObjSpec object = 2;`
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.Span`
  `getSpan()`
  `.ghidra.rmi.trace.Span span = 3;`
  `TraceRmi.SpanOrBuilder`
  `getSpanOrBuilder()`
  `.ghidra.rmi.trace.Span span = 3;`
  `boolean`
  `getTree()`
  `bool tree = 4;`
  `boolean`
  `hasObject()`
  `.ghidra.rmi.trace.ObjSpec object = 2;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasSpan()`
  `.ghidra.rmi.trace.Span span = 3;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasOid

    boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      Whether the oid field is set.

  - ### getOid

    TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      The oid.

  - ### getOidOrBuilder

    TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### hasObject

    boolean hasObject()
    `.ghidra.rmi.trace.ObjSpec object = 2;`
    Returns:
      Whether the object field is set.

  - ### getObject

    TraceRmi.ObjSpec getObject()
    `.ghidra.rmi.trace.ObjSpec object = 2;`
    Returns:
      The object.

  - ### getObjectOrBuilder

    TraceRmi.ObjSpecOrBuilder getObjectOrBuilder()
    `.ghidra.rmi.trace.ObjSpec object = 2;`

  - ### hasSpan

    boolean hasSpan()
    `.ghidra.rmi.trace.Span span = 3;`
    Returns:
      Whether the span field is set.

  - ### getSpan

    TraceRmi.Span getSpan()
    `.ghidra.rmi.trace.Span span = 3;`
    Returns:
      The span.

  - ### getSpanOrBuilder

    TraceRmi.SpanOrBuilder getSpanOrBuilder()
    `.ghidra.rmi.trace.Span span = 3;`

  - ### getTree

    boolean getTree()
    `bool tree = 4;`
    Returns:
      The tree.